import axios from 'axios';

export default {
    getMoods(userInfo) {
        return axios.get("/v1/moods", {
            headers: {
                'X-user-id': userInfo ? userInfo.ID : null,
                'X-user-validation': userInfo ? userInfo.Validation : null
            }
        })
    },
    setMood(userInfo, mood) {
        return axios.post("/v1/moods", mood, {
            headers: {
                'X-user-id': userInfo.ID,
                'X-user-validation': userInfo.Validation
            }
        })
    },
    getNewUser() {
        return axios.get("/v1/register/code")
    }
}
